package T2t::BaseClass;

use strict;
use warnings;

our @ISA     = qw(Exporter);
our @EXPORT  = qw(getTab);

our $TAB             = "   ";               # tab (4 spaces)
our $EMPTY_ATTRIBUTE = "EMPTY_ATTRIBUTE";   # value for an empty attribute

sub new
{
    my $package = shift;
    bless( {}, $package );
}

sub isEmptyTag
{
   my $self = shift;
   my $tag  = shift;

   return 0 if ! $tag;
      
   $tag eq $EMPTY_ATTRIBUTE;
}

sub isQuiet						# shortcut method for child classes
{
	my $self = shift;
    return $self->getPreferencesCache()->isQuiet();
}

sub isVerbose					# shortcut method for child classes
{
	my $self = shift;
    return $self->getPreferencesCache()->isVerbose();
}

sub getPreferencesCache			# shortcut method for child classes
{
	my $self = shift;
	return T2t::UserPreferencesCache::getInstance();
}

sub getTab
{
   $TAB;
}

1;

__END__

=head NAME

=head1 SYNOPSIS


=head1 ABSTRACT


=head1 AUTHOR INFORMATION

Copyright 2000-2008, Steven Scholnick <steve@scholnick.net>  

t2t is published under LGPL.  See license.html for details

=cut
