package T2t::Body;

use strict;
use warnings;

use T2t::UserPreferencesCache;

use overload q{""} => \&toString;

our @ISA = qw( T2t::HTML_Element );

sub new
{
    my $package = shift;
    bless( {}, $package );        
}

sub toString
{
    my $self  = shift;
    return $self->createTag("body",T2t::UserPreferencesCache::getInstance()->getBodyAttributes()) . "\n";
}

sub setALink    {  $_[0]->setIndividualAttribute("alink",$_[1]); }
sub getALink    {  $_[0]->getIndividualAttribute("alink"); }

sub setLink     {  $_[0]->setIndividualAttribute("link",$_[1]); }
sub getLink     {  $_[0]->getIndividualAttribute("link"); }

sub setText     {  $_[0]->setIndividualAttribute("text",$_[1]); }
sub getText     {  $_[0]->getIndividualAttribute("text"); }

sub setVlink    {  $_[0]->setIndividualAttribute("vlink",$_[1]); }
sub getVlink    {  $_[0]->getIndividualAttribute("vlink"); }

1;

__END__

=head NAME
 Body - <body> tag of HTML

=head1 SYNOPSIS
 use T2t:Body;
 
 Body is part of the T2t program collection.  It is used
 only to create and print out the <body> tag.

=head1 ABSTRACT

 print new Body( \%bodyAttributes ); will print out the body tag.

=head1 AUTHOR INFORMATION

Copyright 2000-2008, Steven Scholnick <steve@scholnick.net>  

t2t is published under LGPL.  See license.html for details

=cut

# as with the other classes in T2t, Body is very Java-like.  Hey,
# I'm a Java programmer, so this is what you get.  :-)
# All attributes are available via getXXX() & setXXX() methods.

